## org.eclipse.e4.xwt.input
Interface ICommand

All Known Implementing Classes:
  RoutedCommand

    public interface ICommand

Method Summary
`void` `addCanExecuteChangedListener(CanExecuteChangedListener listener)`
`boolean` `canExecute()`
`void` `execute(java.lang.Object parameter)`
`void` `removeCanExecuteChangedListener(CanExecuteChangedListener listener)`

Method Detail

### canExecute

    boolean canExecute()

### execute

    void execute(java.lang.Object parameter)

### addCanExecuteChangedListener

    void addCanExecuteChangedListener(CanExecuteChangedListener listener)

### removeCanExecuteChangedListener

    void removeCanExecuteChangedListener(CanExecuteChangedListener listener)